Đến nội dung


Hình ảnh
- - - - -

Nhờ Sửa Lisp Insert Block


  • Please log in to reply
23 replies to this topic

#1 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 07 July 2015 - 01:51 AM

Nhờ ae sửa giúp Lisp gọi block từ thư viện tạo sẵn, nhưng khi chèn thì vẫn giữ các tính chất của block (block att, block động...). Do lisp này khi chèn thì các block att, block động... trở thành block thường. Mong ae giúp đỡ!

(defun c:block01 ()
(setq insertpt1 (getpoint "\nPick Lower Left Corner of the cabinet: "))
(command "_insert" "G:\\Block\\block01.dwg" insertpt1 "" "" "")
(princ)
) 

  • 0

#2 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 07 July 2015 - 01:36 PM

 

Nhờ ae sửa giúp Lisp gọi block từ thư viện tạo sẵn, nhưng khi chèn thì vẫn giữ các tính chất của block (block att, block động...). Do lisp này khi chèn thì các block att, block động... trở thành block thường. Mong ae giúp đỡ!

(defun c:block01 ()
(setq insertpt1 (getpoint "\nPick Lower Left Corner of the cabinet: "))
(command "_insert" "G:\\Block\\block01.dwg" insertpt1 "" "" "")
(princ)
) 

Khi bạn Insert một bản vê thì nó đã là 1Block roi . Nghĩa là bạn sẽ có Block trong Block.

Do đó chỉ cần thêm dòng này là OK :)

(defun c:block01 ()
.....
(Command "_.Explode" "l")
(princ)
)


  • 1

#3 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 12:03 AM

Khi bạn Insert một bản vê thì nó đã là 1Block roi . Nghĩa là bạn sẽ có Block trong Block.

Do đó chỉ cần thêm dòng này là OK :)

(defun c:block01 ()
.....
(Command "_.Explode" "l")
(princ)
)

Oh, thanks bạn nhiều nhé!


  • 0

#4 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 12:34 AM

Xin lỗi vì không yêu cầu từ lúc đầu là khi insert cái block ra mình muốn điểm chèn nằm ngay tâm (điểm point) của block đó luôn. Ai biết sửa dùm phát nha!


  • 0

#5 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 08 July 2015 - 08:30 AM

bạn tạo Block trong thư viện có tâm Block ở tọa độ 0,0 thì khi gọi Block sẽ hiện đúng vị trí Pick điểm


  • 0

#6 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 10:11 AM

bạn tạo Block trong thư viện có tâm Block ở tọa độ 0,0 thì khi gọi Block sẽ hiện đúng vị trí Pick điểm

Mình đã thử dùng lệnh Wblock, và UCS để dời trục tọa độ đến tâm block mà khi insert no bị nhảy xa lắm


  • 0

#7 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 08 July 2015 - 10:35 AM

Có lẽ bị osnap?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#8 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 01:29 PM

Có lẽ bị osnap?

Vậy có cách nào để khắc phục không vậy bạn?


  • 0

#9 Lisphnvn72015

Lisphnvn72015

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 08 July 2015 - 01:39 PM

ấn F3 ấy


  • 0

#10 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 02:42 PM

vẫn không được, nguyên nhân chắc không phải do osnap rồi!


  • 0

#11 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 08 July 2015 - 04:21 PM

Trước khi chèn, thử kiểm tra xem trên bản vẽ hiện hành đã tồn tại block có tên đó chưa, nếu có rồi thì thử purge hoặc rename block đó đi xem sao!


  • 0

#12 namnhim

namnhim

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 08 July 2015 - 04:32 PM

bạn gửi cái block của bạn nên đây xem cái bệnh của nó thế nào!


  • 0

#13 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 05:54 PM

Đây bạn, sử dụng lisp trên là sẽ bị nhảy chỗ khác:

http://www.cadviet.c...36880_caodo.dwg


  • 0

#14 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 08 July 2015 - 06:13 PM

Do block. Đã chỉnh:

http://www.cadviet.c.../141736_ccd.dwg


  • 0

#15 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 08:01 PM

Do block. Đã chỉnh:

http://www.cadviet.c.../141736_ccd.dwg

Haha, hay thật, bạn chỉ mình cách làm với! mò hoài không ra! :))


  • 0

#16 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 08 July 2015 - 08:22 PM

Cái điểm chèn của Block không phải là cái UCS như của bạn. Mà là cái điểm bạn có thể dùng qua lệnh BASE của Autocad.


  • 1

#17 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 08:32 PM

Cái điểm chèn của Block không phải là cái UCS như của bạn. Mà là cái điểm bạn có thể dùng qua lệnh BASE của Autocad.

Oke, thanks bạn nhiều nhé! Giờ mới biết được lệnh BASE, :)!


  • 0

#18 pawuta

pawuta

    biết lệnh move

  • Members
  • PipPipPip
  • 126 Bài viết
Điểm đánh giá: -12 (hơi kém)

Đã gửi 08 July 2015 - 09:06 PM

Oke, thanks bạn nhiều nhé! Giờ mới biết được lệnh BASE, :)!

Cảm ơn mọi người đã quan tâm đến bài viết này!


  • 0

#19 Tr.CongSon

Tr.CongSon

    biết lệnh array

  • Members
  • PipPipPip
  • 183 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 09 July 2015 - 08:01 AM

Xin lỗi vì không yêu cầu từ lúc đầu là khi insert cái block ra mình muốn điểm chèn nằm ngay tâm (điểm point) của block đó luôn. Ai biết sửa dùm phát nha!

 

Trong bản vẽ Block thư viện, Gõ lệnh INSBASE rồi chon điểm tâm như bạn nói là được mà ^^


  • 0

#20 thienchip86

thienchip86

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 17 (tàm tạm)

Đã gửi 14 October 2015 - 02:00 PM

các bác xem sửa lại giúp.dùng Lisp này nhưng khi chèn block vào nó lại nhảy lung tung không nằm ở vị trí pick là sao?


  • 0